Chapitre 3. Les versions de Debian

# Chapitre 3. Les versions de Debian

Debian 0.01 jusqu'à 0.90 (d'août à décembre 1993)

Debian 0.91 (janvier 1994) : cette version avait un système de paquets simpliste qui permettait d'installer et de désinstaller des paquets. Le nombre de membres du projet a grandi à plusieurs dizaines de personnes à ce moment.

Debian 0.93R5 (mars 1995) : la responsabilité de chaque paquet a été clairement assignée à un développeur à partir de cette date, et le gestionnaire de paquets (dpkg) a été utilisé pour installer les paquets après l'installation d'un système de base.

Debian 0.93R6 (novembre 1995) : apparition de dselect. Ce fut la dernière version de Debian au format binaire a.out. Il y avait environ 60 développeurs. Le premier serveur master.debian.org a été construit par Bdale Garbee et hébergé par HP, parallèlement au développement de la version 0.93R6. Le déploiement d'un serveur maître explicite, sur lequel les développeurs Debian construiraient chaque version, a conduit directement à la création d'un réseau de miroirs Debian, et indirectement au développement de nombreuses chartes et procédures utilisées aujourd'hui pour gérer le projet.

Debian 1.0 n'est jamais parue : « InfoMagic », un revendeur de CD, livra accidentellement la version de développement de Debian sous le nom 1.0. En décembre 1995, Debian et InfoMagic annoncèrent conjointement que cette version était déclarée radiée. Bruce Perens expliquait alors que les fichiers présents dans le « InfoMagic Linux Developer's Resource 5-CD Set November 1995 » annoncé comme « Debian 1.0 » ne constituaient pas la version 1.0 de Debian, mais une version de développement précédente qui n'était que partiellement au format ELF, ne s'amorçait probablement pas correctement et ne représentait pas la qualité d'un système Debian officiel. Pour éviter la confusion entre cette version prématurée et la version réelle de Debian, le projet Debian a renommé sa version suivante « Debian 1.1 ». La version prématurée de Debian 1.0 sur CD n'est pas reconnue et ne devrait pas être utilisée.

L'hébergement de master.debian.org a été déplacé de HP à i-Connect.Net à la fin de l'année 1995. Michael Neuffer et Shimon Shapiro, fondateurs de i-Connect.Net, ont hébergé le serveur maître sur leur propre matériel pendant un peu plus d'une année. Pendant cette période, ils ont fourni de nombreux services à Debian, en incluant le processus de nouveau responsable du jour et en aidant significativement la croissance du nouveau réseau de miroirs Debian.

Debian 1.1 Buzz (17 juin 1996) : ce fut la première version de Debian portant un nom de code. Il a été choisi, comme tous les autres par la suite, d'après les personnages du film Toy Story et dans le cas présent d'après celui de Buzz Lightyear (Buzz l'éclair). À ce moment, Bruce Perens prenait la succession de Ian Murdock à la direction du projet Debian et travaillait alors pour Pixar, la société qui produisait ces films. Cette version était 100 %ELF, utilisait le noyau Linux 2.0 et contenait 474 paquets.

Debian 1.2 Rex (12 décembre 1996) : ce nom est celui du dinosaure en plastique du film. Cette version consistait en 848 paquets entretenus par 120 développeurs.

Debian 1.3 Bo (5 juin 1997) : ce nom est tiré de « Bo Beep », la bergère. Elle contenait 974 paquets entretenus par 200 développeurs.

Debian 2.0 Hamm (24 juillet 1998) : nom du cochon du film. Ce fut la première version multi-architecture de Debian, avec la gestion de l'architecture 68k de Motorola. Cette version (encadrée par Ian Jackson comme chef de Projet) a marqué la transition vers la bibliothèque libc6, proposait plus de 1500 paquets et était produite par 400 développeurs.

Debian 2.1 Slink (sortie le 9 mars 1999) : nom du chien du film. Deux architectures y ont été ajoutées, Alpha et SPARC. Avec Wichert Akkerman comme chef du Projet, cette version consistait d'environ 2 250 paquets qui tenait sur deux CD de la suite officielle. L'apport technique majeur était l'introduction de apt, une nouvelle interface de gestion de paquets. Largement imitée, apt répondait aux problèmes résultant de la croissance de Debian et établissait ainsi un nouveau paradigme pour l'acquisition et l'installation de paquets sur les systèmes d'exploitation libres.

Debian 2.2 Potato (publiée le 15 août 2000) : d'après le nom « Potato Head » des films Toy Story. Cette version a ajouté la gestion pour les architectures PowerPC et ARM. Avec Wichert menant encore le Projet, cette version consistait en plus de 3900 paquets binaires dérivés de plus de 2600 paquets sources entretenus par plus de 450 développeurs Debian.

Debian 3.0 Woody (parue le 19 juillet 2002) : nom du cowboy, personnage principal de la série de films Toy Story. Encore plus d'architectures ont été ajoutées à cette version : IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) et S/390. C'était également la première version intégrant des logiciels de cryptographie suite aux allégements de restriction à l'exportation aux USA, et aussi la première incluant KDE, les problèmes de licence de Qt ayant été résolus. Bdale Garbee ayant été récemment désigné comme chef du Projet, plus de 900 développeurs Debian ont permis la publication de cette version contenant environ 8500 paquets binaires qui tenaient sur un ensemble officiel de 7 CD.

Debian 3.1 Sarge (publiée le 6 juin 2005) : nommée d'après le sergent du « Green Plastic Army Men ». Aucune nouvelle architecture n'a été ajoutée à cette version bien qu'une version AMD64 non officielle ait été publiée au même moment et distribuée à travers le nouveau site d'hébergement de projet Alioth. Cette version proposait le nouvel installateur debian-installer, un logiciel modulaire intégrant une détection automatique du matériel, une fonctionnalité d'installation automatique ainsi qu'une traduction dans plus de trente langues. Ce fut également la première version intégrant une suite bureautique complète, OpenOffice.org. Brandon Robinson venait d'être désigné comme chef du Projet. Plus de 900 développeurs Debian ont contribué à la publication de cette version contenant environ 15 400 paquets binaires et qui tenait sur 14 CD.

Debian 4.0 Etch publiée le 8 avril 2007. Nom de l'ardoise magique dans le film. L'architecture AMD64 a été ajoutée dans cette version et la gestion officielle de m68k supprimée. Cette version continua d'utiliser l'installateur Debian classique mais une version graphique y a été ajoutée, ainsi qu'une vérification cryptographique des paquets téléchargés, un partitionnement plus flexible (avec la gestion de partitions chiffrées), une simplification de la configuration du courrier électronique, une sélection plus flexible des environnements de bureau, une régionalisation simplifiée mais améliorée et de nouveaux modes incluant un mode de secours (rescue mode). Les nouvelles installations ne requéraient plus un redémarrage puisque les deux premières phases d'installation étaient maintenant intégrées. Ce nouvel installateur fournissait également la gestion de scripts utilisant les caractères composés et des langages complexes pour le mode graphique, ce qui amenait le nombre de traductions à plus de cinquante. Le jour de la publication, Sam Hocevar fût élu chef de Projet et celui-ci comptait plus de 1030 développeurs Debian. Cette version contenait environ 18 000 paquets binaires qui tenaient sur 20 CD (ou 3 DVD) dans l'ensemble officiel. Deux CD étaient également disponibles pour installer des environnements de bureau différents de celui par défaut.

Debian 5.0 Lenny a été publiée en février 2009. Nommée d'après les jumelles dans le film. L'architecture ARM EABI (ou armel) a été ajoutée dans cette version, permettant la gestion des nouveaux processeurs ARM rendant ainsi obsolète le vieux portage ARM (arm). Le portage m68k ne fut pas inclus dans cette version bien qu'il était toujours fourni dans la distribution unstable. Cette version ne proposait pas non plus le portage FreeBSD, malgré tout le travail pour le rendre éligible.

La gestion des périphériques de petite taille a été améliorée dans cette version par l'ajout de la plateforme Orion de Marvell qui est utilisée dans de nombreux supports de stockage et de Netbooks. De nouveaux outils de construction (build) ont été ajoutés, ce qui a permis aux paquets de Debian d'être compilés de manière croisée et réduits pour les systèmes ARM embarqués. De même, des netbooks de divers marques étaient gérés et la distribution fournissait des logiciels plus adaptés pour des ordinateurs ayant des performances relativement faibles.

C'était également la première version qui fournissait la version libre de la technologie Java de Sun, rendant possible la distribution d'applications Java dans la section main.

Debian 6.0 Squeeze (février 2011) : nom de l'extraterrestre vert aux trois yeux dans le film.

Cette version a été gelée le 6 août 2010 au cours de la dixième DebConf qui s'est tenue à New York en présence de nombreux développeurs Debian.

Alors que deux architecture étaient abandonnées (alpha et hppa), le nouveau portage FreeBSD (kfreebsd-i386 et kfreebsd-amd64) a été mis à disposition comme aperçu technologique, incluant le noyau et les outils en espace utilisateur ainsi que les applications serveurs usuelles (mais aucune fonctionnalité de bureau avancée). C'était la première fois qu'une distribution Linux était étendue à l'utilisation d'un noyau autre que Linux.

La nouvelle version introduisait une séquence de démarrage basée sur les dépendances, ce qui permet la parallélisation de l'exécution des scripts d'initialisation et accélère le démarrage du système.

Debian 6 est la première version à avoir bénéficié du suivi à long terme (LTS), un projet destiné à allonger la durée de vie de toutes les versions stables à (au moins) cinq ans. Debian LTS n'est pas gérée par l'équipe en charge de la sécurité de Debian, mais par un groupe distinct de bénévoles et de sociétés intéressés à son succès. Debian 6 a été prise en charge jusqu'à la fin de février 2016, mais limitée aux architectures i386 et amd64.

Debian 7.0 Wheezy (mai 2013) : nom du manchot en caoutchouc avec un nœud papillon rouge.

Cette version a été gelée le 30 juin 2012 juste avant la treizième conférence des développeurs Debian (DebConf12) qui s'est tenue à Managua au Nicaragua.

L'architecture armhf a été incluse dans cette version ainsi que la gestion multi-architecture, ce qui permet aux utilisateurs d'installer des paquets d'architectures différentes sur la même machine. Des améliorations dans le processus d'installation ont permis aux personnes ayant une déficience visuelle d'installer le système en utilisant pour la première fois un logiciel de synthèse vocale.

C'était également la première version à gérer l'installation et le démarrage sur des périphériques utilisant le micrologiciel UEFI.

Debian 7 a bénéficié du suivi à long terme (LTS) pour les architectures i386, amd64, armel et armhf jusqu'à la fin du mois de mai 2018.

Debian 8.0 Jessie (avril 2015) : nom de la poupée vachère apparue dans Toy Story 2.

Cette version a introduit pour la première fois le système d'initialisation systemd par défaut. Deux nouvelles architectures ont été introduites : arm64 et ppc64el. Trois architectures ont été supprimées : s390 (remplacée par s390x), ia64 et sparc. L'architecture sparc était présente dans Debian depuis 16 ans, mais manquait de développeurs pour la garder dans la distribution.

De nombreuses améliorations de sécurité ont été introduites dans cette version telles qu'un nouveau noyau qui supprimait de fait tout un ensemble de vulnérabilités (attaque par liens symboliques), une nouvelle manière de détecter les paquets possédant une gestion de la sécurité, davantage de paquets construits avec des options du compilateur renforçant la sécurité et un nouveau mécanisme (needrestart) permettant de détecter les sous-systèmes nécessitant d'être redémarrés afin de propager les mises à jour de sécurité après une mise à niveau.

Debian 8 a bénéficié du suivi à long terme (LTS) pour les architectures i386, amd64, armel et armhf jusqu'à la fin du mois de juin 2020.

Debian 9 Stretch (juin 2017) : nom du poulpe en caoutchouc qui possède des ventouses sur ses huit longs bras et qui apparut dans Toy Story 3.

Cette version a été gelée le 7 février 2017.

Debian 9 a été dédiée au fondateur du projet Ian Murdock décédé le 28 décembre 2015.

La gestion de l'architecture powerpc est supprimée alors que celle pour l'architecture mips64el est introduite. Cette version a introduit les paquets de débogage avec un dépôt dédié dans l'archive. Ces paquets fournissent automatiquement les symboles de débogage des paquets. Firefox et Thunderbird sont de retour dans Debian, remplaçant les versions démarquées Iceweasel et Icedove qui étaient présentes dans l'archive depuis plus de dix ans. Grâce au projet des Constructions reproductibles, plus de 90 % des paquets source fournis dans Debian 9 construisaient des paquets binaires identiques au bit près.

Debian 9 a bénéficié du suivi à long terme (LTS) pour les architectures i386, amd64, armel et armhf jusqu'à la fin du mois de juin 2022.

Debian 10 Buster (juillet 2019) : nom du chien d'Andy reçu comme cadeau de Noël apparaissant à la fin de Toy Story.

Avec cette version, Debian a inclus pour la première fois AppArmor, un cadriciel de contrôle d'accès activé par défaut. C'est aussi la première version de Debian à fournir des programmes basés sur Rust tels que Firefox, ripgrep, fd, exa, etc., et un nombre significatif de bibliothèques basées sur Rust (plus de 450). Dans Debian 10, GNOME utilise par défaut le serveur d'affichage Wayland à la place de Xorg. Wayland est de conception plus simple et plus moderne, ce qui est avantageux du point de vue de la sécurité. La gestion de l'UEFI (Unified Extensible Firmware Interface), introduite dans Debian 7, a continué à être fortement améliorée dans Debian 10 et est incluse pour les architectures amd64, i386 et arm64, fonctionnant sans intervention sur la plupart des machines où Secure Boot est activé.

Debian 10 a bénéficié du suivi à long terme (LTS) pour les architectures i386, amd64, armel et armhf jusqu'à la fin du mois de juin 2024.

Debian 11 Bullseye (publiée le 14 août 2021) : nom du cheval de Woody apparu dans Toy Story 2.

Cette version fournissait plus de 11 294 nouveaux paquets sur un total de 59 551, avec une diminution significative de 9 519 paquets marqués « obsolètes » et retirés. 42 821 paquets ont été mis à jour et 5 434 sont demeurés inchangés.

Debian 11 permettait d'utiliser l'impression et la numérisation sans pilote, sans avoir besoin des pilotes spécifiques du fabricant (souvent non libres). Elle fournissait un noyau Linux disposant de la prise en charge du système de fichiers exFAT. La prise en charge de l'architecture mips était supprimée, n'étant gardées que les architectures mipsel (petits boutistes) pour le matériel 32 bits et l'architecture mips64el pour le matériel 64 bits petit boutiste.

L'équipe Debian Med a pris part à la lutte contre la COVID-19 en empaquetant des paquets pour la recherche sur le virus au niveau de son séquençage et pour combattre la pandémie avec les outils utilisés en épidémiologie. Ce travail va continuer en mettant l'accent sur les outils d'apprentissage automatique dans ces deux domaines.

Debian 12.0 (Bookworm) publiée le 10 juin 2023 : nom du ver vert avec une lampe de poche intégrée apparu dans Toy Story 3.

Cette version contient plus de 11 089 nouveaux paquets pour un total de 64 419 paquets, tandis que plus de 6 296 paquets marqués comme « obsolètes » ont été supprimés. 43 254 paquets ont été mis à jour dans cette version. L'utilisation de disque totale pour Bookworm est de 365 016 420 Ko (365 Go) et comprend 1 341 564 204 lignes de code.

À la suite du vote de la Résolution générale de 2022 sur les microprogrammes non libres, le contrat social de Debian a été adapté et une nouvelle section d'archive appelée non-free-firmware a été introduite permettant de séparer les microprogrammes non libres des autres programmes non libres. La plupart des paquets de microprogrammes non libres ont migré de non-free à non-free-firmware. Cette séparation permet de construire de nombreuses images d'installation officielles. Et elle facilite beaucoup l'installation de Debian sur du matériel répandu en utilisant l’installateur officiel de Debian.

Un total de neuf architectures sont officiellement prises en charge par Bookworm.

L'équipe pour l'informatique dématérialisée publie Bookworm pour trois services d'informatique dans le nuage répandus.

Entre les publications, pour le bogue n° 978636 en février 2021, le Comité Technique a décidé que Debian Bookworm ne devrait prendre en charge que l'organisation du système de fichiers racine avec usr fusionné [1], abandonnant la prise en charge de l'organisation avec usr non fusionné. Pour les systèmes installés comme Buster ou Bullseye, il n'y aura pas de modification du système de fichiers, cependant, les systèmes utilisant l'organisation antérieure seront convertis lors de leur mise à niveau.

Grâce à l'effort conjugué de l'équipe en charge de la sécurité de Debian et de l'équipe du suivi à long terme de Debian (LTS), Bookworm sera prise en charge pour quatre architectures jusqu'à juin 2028 (cinq ans après sa publication).

Debian 13 Trixie (en août 2024, c'est la distribution testing) : Trixie est le tricératops bleu apparu dans Toy Story 3.

[1] usr-merge (ou merged-usr – usr fusionné -, ou `/usr`-move) est une organisation du système de fichier où les traditionnels répertoires UNIX `/bin`, `/sbin`, `/lib` et `/lib64` sont remplacés par des liens symboliques vers les répertoires correspondants sous `/usr`. Par exemple, `/bin` est remplacé par un lien symbolique vers `/usr/bin`. En 2012, usr fusionné a été implémenté par Fedora Linux ainsi que par Ubuntu Linux. Voir aussi The Case For The Usr Merge et les notes de publications de Bookworm.

Chapitre 2. Chefs du projet Debian |  | Chapitre 4. Historique détaillé